* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background: #f5f3eb;
}

/* TOP BAR */

.top-bar {
  width: 100%;
  background: #2f4f2f;
  color: #fff;
  padding: 10px 7%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  font-size: 14px;
}

.top-bar span {
  display: flex;
  align-items: center;
  gap: 8px;
}

/* HERO SECTION */

.hero {
  min-height: 100vh;
  background:
    linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("image/banner.png");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  padding: 20px 7%;
}

/* NAVBAR */

.navbar {
  width: 100%;
  background: rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 18px;
  padding: 18px 30px;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  color: #fff;
  font-size: 30px;
  font-weight: 700;
}

.logo span {
  color: #c8ff9e;
}

.nav-links {
  display: flex;
  list-style: none;
  gap: 35px;
}

.nav-links a {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
  transition: 0.3s;
}

.nav-links a:hover {
  color: #c8ff9e;
}

.nav-btn {
  background: #6b8e23;
  color: #fff;
  padding: 12px 26px;
  border-radius: 40px;
  text-decoration: none;
  font-weight: 500;
  transition: 0.3s;
}

.nav-btn:hover {
  background: #87b52d;
}

/* HERO CONTENT */

.hero-content {
  width: 100%;
  min-height: 85vh;
  display: flex;
  align-items: center;
}

.content {
  max-width: 650px;
  color: #fff;
}

.content h4 {
  font-size: 22px;
  font-weight: 400;
  margin-bottom: 10px;
  color: #d8ffc0;
}

.content h1 {
  font-size: 75px;
  line-height: 90px;
  margin-bottom: 20px;
}

.content p {
  font-size: 17px;
  line-height: 32px;
  margin-bottom: 35px;
  color: #f2f2f2;
}

.hero-buttons {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

.hero-buttons a {
  text-decoration: none;
  padding: 16px 34px;
  border-radius: 50px;
  font-weight: 600;
  transition: 0.3s;
}

.btn1 {
  background: #6b8e23;
  color: #fff;
}

.btn1:hover {
  background: #87b52d;
}

.btn2 {
  border: 2px solid #fff;
  color: #fff;
}

.btn2:hover {
  background: #fff;
  color: #000;
}

/* MOBILE MENU */

.menu-btn {
  display: none;
  font-size: 28px;
  color: #fff;
  cursor: pointer;
}

/* RESPONSIVE */

@media (max-width: 1100px) {
  .content h1 {
    font-size: 60px;
    line-height: 75px;
  }

  .floating-card {
    display: none;
  }
}

@media (max-width: 900px) {
  .navbar {
    position: relative;
  }

  .nav-links {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #2f4f2f;
    flex-direction: column;
    text-align: center;
    padding: 30px 0;
    border-radius: 15px;
    margin-top: 10px;
    display: none;
  }

  .nav-links.active {
    display: flex;
  }

  .menu-btn {
    display: block;
  }

  .nav-btn {
    display: none;
  }

  .content h1 {
    font-size: 48px;
    line-height: 62px;
  }
}

@media (max-width: 600px) {
  .hero {
    padding: 15px 5%;
  }

  .top-bar {
    padding: 10px 5%;
    font-size: 12px;
  }

  .navbar {
    padding: 16px 20px;
  }

  .logo {
    font-size: 24px;
  }

  .content h4 {
    font-size: 18px;
  }

  .content h1 {
    font-size: 38px;
    line-height: 50px;
  }

  .content p {
    font-size: 15px;
    line-height: 28px;
  }

  .hero-buttons a {
    width: 100%;
    text-align: center;
  }
}

/* ABOUT SECTION */

.about {
  padding: 100px 7%;
  background: #f8f6f1;
}

.about-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 70px;
  flex-wrap: wrap;
}

/* LEFT IMAGE */

.about-image {
  flex: 1;
  min-width: 350px;
  min-height: 350px;
  margin-top: 10%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.about-image img {
  width: 100%;
  max-width: 650px;
  height: 350px;
  border-radius: 30px;
  display: block;
  object-fit: cover;
}

/* IMAGE HOVER TEXT */

.image-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.45);
  border-radius: 30px;

  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;

  opacity: 0;
  transition: 0.4s;
}

.about-image:hover .image-overlay {
  opacity: 1;
}

.image-overlay h2 {
  color: #fff;
  font-size: 42px;
  line-height: 1.3;
  max-width: 500px;
  padding: 20px;
}

/* RIGHT SIDE */

.about-content {
  flex: 1;
  min-width: 320px;
}

.about-content h2 {
  color: #7a9d22;
  font-size: 40px;
  margin-bottom: 15px;
}

.about-content h5 {
  font-size: 22px;
  line-height: 1.3;
  color: #1a1a1a;
  margin-bottom: 25px;
}

.about-content p {
  font-size: 18px;
  line-height: 1.8;
  color: #555;
  margin-bottom: 35px;
}

/* FEATURE CARDS */

.about-features {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.feature-box:nth-child(1) {
  position: relative;
  overflow: hidden;
  padding: 30px 25px;
  border-radius: 22px;
  color: #fff;
  background:
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url("image/premium.jpg");
  background-size: cover;
  background-position: center;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  transition: 0.4s;
}

.feature-box:nth-child(2) {
  position: relative;
  overflow: hidden;
  padding: 30px 25px;
  border-radius: 22px;
  color: #fff;
  background:
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url("image/wide\ range.jpg");
  background-size: cover;
  background-position: center;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;

  transition: 0.4s;
}

.feature-box:nth-child(3) {
  position: relative;
  overflow: hidden;
  padding: 30px 25px;
  border-radius: 22px;
  color: #fff;
  background:
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url("image/market\ price.jpg");
  background-size: cover;
  background-position: center;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;

  transition: 0.4s;
}

.feature-box:nth-child(4) {
  position: relative;
  overflow: hidden;
  padding: 30px 25px;
  border-radius: 22px;
  color: #fff;
  background:
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url("image/trusted.jpg");
  background-size: cover;
  background-position: center;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;

  transition: 0.4s;
}

.feature-box:hover {
  transform: translateY(-8px);
}

.feature-box i {
  font-size: 30px;
  margin-bottom: 15px;
  color: #b7ff4d;
}

.feature-box h4 {
  font-size: 24px;
  margin-bottom: 10px;
}

/* RESPONSIVE */

@media (max-width: 991px) {
  .about-container {
    flex-direction: column;
  }

  .about-content h2 {
    font-size: 38px;
  }

  .image-overlay h2 {
    font-size: 30px;
  }
}

@media (max-width: 600px) {
  .about-features {
    grid-template-columns: 1fr;
  }
}

/* PRODUCTS SECTION */

.products-section {
  padding: 100px 7%;
  background: #f8f6f1;
}

.section-title {
  text-align: center;
  margin-bottom: 70px;
}

.section-title h2 {
  font-size: 48px;
  color: #2f4f2f;
  margin-bottom: 10px;
}

.section-title p {
  color: #666;
  font-size: 18px;
}

.product-group {
  margin-bottom: 80px;
}

.product-group h3 {
  font-size: 36px;
  color: #556b2f;
  margin-bottom: 35px;
  text-align: center;
  position: relative;
}

.product-group h3::after {
  content: "";
  width: 90px;
  height: 4px;
  background: #c6a94b;
  position: absolute;
  left: 50%;
  bottom: -12px;
  transform: translateX(-50%);
  border-radius: 20px;
}

/* GRID */

.products-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 25px;
}

/* CARD */

.product-card {
  background: #f7f1e4;
  border-radius: 25px;
  padding: 25px;
  text-align: center;
  flex-shrink: 0;

  transition:
    transform 0.35s ease,
    box-shadow 0.35s ease,
    background 0.35s ease;

  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
}

.product-card img {
  width: 100%;
  height: 220px;
  object-fit: contain;
}

.product-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.1);
  background: #fffdf8;
}

.product-card h4 {
  margin-top: 15px;
  font-size: 22px;
  color: #2f4f2f;
}

.product-card p {
  font-size: 14px;
  color: #666;
  margin-top: 8px;
  line-height: 1.6;
}

/* TABLET */

@media (max-width: 991px) {
  .products-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* MOBILE */

@media (max-width: 600px) {
  .products-section {
    padding: 70px 5%;
  }

  .section-title h2 {
    font-size: 34px;
  }

  .section-title p {
    font-size: 15px;
  }

  .product-group h3 {
    font-size: 26px;
  }

  .products-grid {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .product-card {
    min-height: auto;
    padding: 20px;
  }

  .product-card img {
    height: 200px;
    width: 100%;
  }

  .product-card h4 {
    font-size: 20px;
  }
}

/* customer reviwes*/
.reviews {
  text-align: center;
  padding: 60px 20px;
  background: #f7f1e4;
}

.reviews h2 {
  color: #556b2f;
  font-size: 36px;
  margin-bottom: 10px;
}

.sub-text {
  color: #555;
  margin-bottom: 40px;
}

.review-container {
  min-height: 100px;
  display: flex;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
}

.review-card {
  background: #fff;
  padding: 20px;
  min-width: 100px;
  min-height: 200px;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}

.review-card:hover {
  transform: translateY(-5px);
}

.stars {
  margin-top: 20px;
  color: orange;
  font-size: 18px;
  margin-bottom: 10px;
}

.review-text {
  font-size: 14px;
  color: #666;
  margin: 10px 0;
}

.user {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 15px;
}

.user img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

/* Fix arrow color */
.swiper-button-next,
.swiper-button-prev {
  color: black;
  z-index: 10;
  cursor: pointer;
}

.swiper {
  cursor: grab;
  width: 100%;
  padding: 20px;
}
.swiper:active {
  cursor: grabbing;
}

.swiper-wrapper {
  display: flex;
}

.swiper-slide {
  width: auto;
}

/* FOOTER SECTION */

.footer {
  background: #dceecf;
  padding: 80px 7% 50px;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 60px;
  flex-wrap: wrap;
}

.footer-box {
  display: flex;
  flex-direction: column;
  min-width: 180px;
}

.footer-about {
  max-width: 320px;
}

.footer-logo {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 25px;
}

.footer-logo img {
  width: 40px;
}

.footer-logo h2 {
  font-size: 28px;
  color: #2f4f2f;
}

.footer-about p {
  color: #4d4d4d;
  line-height: 1.8;
  font-size: 15px;
  margin-bottom: 30px;
}

.footer-box h3 {
  font-size: 24px;
  color: #111;
  margin-bottom: 25px;
}

.footer-box a {
  text-decoration: none;
  color: #444;
  margin-bottom: 16px;
  transition: 0.3s;
  font-size: 15px;
}

.footer-box a:hover {
  color: #c6a94b;
  padding-left: 5px;
}

.footer-social {
  display: flex;
  gap: 18px;
}

.footer-social a {
  width: 35px;
  height: 35px;
  background: #f8f6f1;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #2f4f2f;
  transition: 0.3s;
  font-size: 14px;
}

.footer-social a:hover {
  background: #c6a94b;
  color: white;
  transform: translateY(-4px);
}

/* RESPONSIVE */

@media (max-width: 900px) {
  .footer-container {
    gap: 40px;
  }

  .footer-box {
    min-width: 140px;
  }
}

@media (max-width: 700px) {
  .footer-container {
    flex-direction: column;
    gap: 45px;
  }

  .footer-about {
    max-width: 100%;
  }
}
